Summary:	ParaGUI - A complete GUI/Windowing system for SDL
Summary(pl.UTF-8):	ParaGUI - kompletne środowisko okienkowe dla SDL
Name:		paragui
Version:	1.1.8
Release:	5
License:	LGPL
Group:		X11/Libraries
Source0:	http://savannah.nongnu.org/download/paragui/%{name}-%{version}.tar.gz
# Source0-md5:	6741b8f704b47b2c6b62fef29759c89c
Patch0:		%{name}-am18.patch
Patch1:		%{name}-link.patch
Patch2:		%{name}-64bit-workaround.patch
Patch3:		%{name}-pkg_sigc.patch
Patch4:		%{name}-no_cairotest.patch
Patch5:		gcc45.patch
Patch6:		SDL_Sint16.patch
Patch7:		pkg-config-includedir.patch
URL:		http://savannah.nongnu.org/projects/paragui/
BuildRequires:	SDL-devel >= 1.2.6
BuildRequires:	SDL_image-devel >= 1.2.0
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	freetype-devel >= 2.1.0
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libsigc++12-devel >= 1.2.5
BuildRequires:	libtiff-devel
BuildRequires:	libtool >= 2:1.4d
BuildRequires:	physfs-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.213
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library is a complete GUI/Windowing system for SDL.

%description -l pl.UTF-8
Kompletne środowisko okienkowe dla SDL.

%package devel
Summary:	Includes and more to develop SDL GUI applications
Summary(pl.UTF-8):	Pliki nagłówkowe dla ParaGUI
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	SDL-devel >= 1.2.6
Requires:	expat-devel
Requires:	freetype-devel >= 2.1.0
Requires:	libjpeg-devel
Requires:	libpng-devel
Requires:	libsigc++12-devel >= 1.2.5
Requires:	libtiff-devel
Requires:	physfs-devel

%description devel
Header files for ParaGUI library - a complete GUI/Windowing system for
SDL.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla ParaGUI.

%package static
Summary:	Static paragui library
Summary(pl.UTF-8):	Statyczna biblioteka paragui
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static version of paragui library.

%description static -l pl.UTF-8
Statyczna wersja biblioteki paragui.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%ifarch alpha %{x8664}
%patch2 -p1
%endif
%patch3 -p0
%patch4 -p0
%patch5 -p1
%patch6 -p1
%patch7 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd src/physfs
# only configured, not built (system physfs is used)
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
cd ../..
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir} \
	m4datadir=%{_aclocaldir}

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README-ParaGUI.txt AUTHORS TODO README
%attr(755,root,root) %{_libdir}/libparagui-*.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libparagui-*.so.8
%{_datadir}/paragui

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/paragui-config
%attr(755,root,root) %{_libdir}/libparagui.so
%{_libdir}/libparagui.la
%{_includedir}/paragui
%{_aclocaldir}/paragui.m4
%{_pkgconfigdir}/paragui.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libparagui.a
%changelog
* Thu Aug 16 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/paragui.git;a=log;h=master

* Thu Aug 16 2018 Jan Rękorajski <baggins@pld-linux.org> 2cdc0f9
- rebuild without libjpeg.la
- release 5 (by relup.sh)

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b5465f5
- release 4 (by relup.sh)

* Sun Nov 11 2012 Jan Rękorajski <baggins@pld-linux.org> 6e81336
- rebuild with expat 2.1.0
- release 3 (by relup.sh)

* Mon Aug 09 2010 Elan Ruusamäe <glen@pld-linux.org> a70e91d
- fix pkg-config not returning paragui own includedir (paragui-config --cflags was ok); rel 2

* Fri Aug 06 2010 Elan Ruusamäe <glen@pld-linux.org> 6fde372
- cast only, do not change data types

* Fri Aug 06 2010 Elan Ruusamäe <glen@pld-linux.org> cdcedf0
- BR: pkgconfig

* Fri Aug 06 2010 Elan Ruusamäe <glen@pld-linux.org> 006eaec
- fix width errors:
  pgmultilineedit.cpp: In member function ‘void PG_MultiLineEdit::DrawText(const PG_Rect&)’:
  pgmultilineedit.cpp:102:55: error: narrowing conversion of ‘(((int)((PG_MultiLineEdit*)this)->PG_MultiLineEdit::<anonymous>.PG_LineEdit::<anonymous>.PG_ThemeWidget::<anonymous>.PG_Widget::<anonymous>.PG_Rect::<anonymous>.SDL_Rect::x) + x1)’ from ‘int’ to ‘Sint16’ inside { }

* Thu Aug 05 2010 Elan Ruusamäe <glen@pld-linux.org> 1c53ac8
- cstring

* Thu Aug 05 2010 Elan Ruusamäe <glen@pld-linux.org> cea4ef8
- add c++ fixes, thanks pluto

* Thu Aug 05 2010 Elan Ruusamäe <glen@pld-linux.org> adb5687
- disable deprecation warnings

* Sun Oct 05 2008 pawelz <pawelz@pld-linux.org> 4f38244
- more verbose %files
- removed space after %configure

* Tue Jun 19 2007 shadzik <shadzik@pld-linux.org> ee57c93
- add some patches
- builds

* Tue Jun 19 2007 shadzik <shadzik@pld-linux.org> 1e37c75
- allow PKG_SIGC

* Tue Jun 19 2007 shadzik <shadzik@pld-linux.org> 56e563e
- don't test cairo and fix install-hook

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5048a8d
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1d621da
- converted to UTF-8

* Wed May 11 2005 Jakub Bogusz <qboosh@pld-linux.org> a23dee4
- use x8664 macro

* Sat Dec 11 2004 Adam Gołębiowski <adamg@pld-linux.org> bd6e186
- (hopefully) updated to 1.1.8

* Fri Dec 10 2004 Adam Gołębiowski <adamg@pld-linux.org> d2ae8ec
- updated to 1.1.8

* Sun Jun 13 2004 averne <averne@pld-linux.org> 9a0e25a
- rel 2 for rebuild with new physfs

